import { createService } from '@/utils/createRequest'
const request = createService(process.env.VUE_APP_Tracking_API + '/tsc')
export function _query(data) {
  return request({
    url: '/List',
    method: 'post',
    data
  })
}

export function _add(data) {
  return request({
    url: '/Config',
    method: 'post',
    data
  })
}

export function _update(data) {
  var postData = { Config: data, Action: 'Update' }
  return request({
    url: '/Config',
    method: 'put',
    data: postData
  })
}

export function _disable(data) {
  var postData = { IdList: { Ids: data }, Action: 'Disable' }
  return request({
    url: '/Config',
    method: 'put',
    data: postData
  })
}

export function _enable(data) {
  var postData = { IdList: { Ids: data }, Action: 'Enable' }
  return request({
    url: '/Config',
    method: 'put',
    data: postData
  })
}

export function _delete(data) {
  var postData = { Ids: data }
  return request({
    url: '/Config',
    method: 'delete',
    data: postData
  })
}

